package org.ak47.android.graphics.ibnrushd.object;

import javax.microedition.khronos.opengles.GL10;

import android.opengl.Matrix;

public class IbnRushdObjectTransformation
{
	private float[] matrix = new float[16]; // 4x4 matrix
	
	public IbnRushdObjectTransformation()
	{
		Matrix.setIdentityM(matrix, 0);
	}
	
	public float[] getMatrix()
	{
		return matrix;
	}
	
	public void setMatrix(float[] matrix)
	{
		this.matrix = matrix;
	}

	/** Execute this transformation */
	public void execute(GL10 gl)
	{
		// Load transformation into modelview
		gl.glMatrixMode(GL10.GL_MODELVIEW);
		gl.glLoadMatrixf(matrix, 0);
		
		// Reset this transformation
		Matrix.setIdentityM(matrix, 0);
	}
}
