package org.ak47.android.graphics.ibnrushd.transformation;

import android.opengl.Matrix;

public class IbnRushdTranslation extends IbnRushdTransformation
{
	static
	{
		TYPE = IbnRushdTransformation.TRANSLATION;
	}
	
	/**
	 * Sets a translation<br>
	 * Any previously defined translation here is lost 
	 * @param x
	 * @param y
	 * @param z
	 */
	public void setFixed(float x, float y, float z)
	{
		float[] thisRot = new float[16];
		Matrix.setIdentityM(thisRot, 0);
		Matrix.translateM(thisRot, 0, x, y, z);
		mTransformation = thisRot;
	}
	
	/**
	 * Adds a translation to this one
	 * @param x
	 * @param y
	 * @param z
	 */
	public void setIncremental(float x, float y, float z)
	{
		Matrix.translateM(mTransformation, 0, x, y, z);
	}
}
